Subject: Re: directx
From: [email-masked] (Eric Britten)

1 Aug 1997 16:06:10 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Transfer-Encoding: 7bit
X-Mailer: Mozilla 4.01 [en] (Win95; I)
Original-To: Derek Greene <[email-masked]>
Original-CC: [email-masked]
X-Priority: 3 (Normal)
Original-Sender: [email-masked]

Derek Greene wrote:

Check out....
 http://dragon.acadiau.ca/~025668b/develop/cygnus/

I have also used gnuwin32 to use OLE & COM objects.  I think directx
uses a similar interface.  It's not easy, you must use C not C++ for
now.  C++ cleans up your code alot, but it doesn't compile the Microsoft
headers at all.  For some reason the g++ is more peticular about the
location of * in a function prototype that returns a pointer.

The directx sample doesn't have any problems since it uses C.

For instance,
int * __stdcall foo();

gives an error.  but

int __stdcall * foo();

does not.

Another thing is that if you declare the calling convention for a member
function of a class, the calling convention is ignored.  This may pose a
problem since OLE expects stdcall for member functions of COM objects.

Hope this helps.

Eric Britten

> has ANYONE managed to port directx to gnu-win32? puh-leez say yes,
> puh-leez
> say yes....:)
> -
> For help on using this list (especially unsubscribing), send a message
> to
> "[email-masked]" with one line of text: "help".

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".